﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Sirenix.OdinInspector;
using KairoEngine.Core.GameActions;

namespace KairoEngine.UI
{
    [System.Serializable]
    public class MenuAction
    {
        [FoldoutGroup("@title")] public string title = "action_name";

        [FoldoutGroup("@title"), InlineProperty, HideLabel] public GameActionsController actionsController;

        public void Execute()
        {
            actionsController.Restart();
            actionsController.Start();
        }
    }
}