using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Sirenix.OdinInspector;

namespace KairoEngine.UI
{
    [System.Serializable]
    public class TabData
    {
        [FoldoutGroup("@title")] public string id = "unique_tab__name";
        [FoldoutGroup("@title")] public string title = "Tab Title";
        [FoldoutGroup("@title")] public GameObject content;
        [FoldoutGroup("@title")] public Sprite icon;
        [FoldoutGroup("@title"), TextArea] public string description;
    }
}